Package org.apache.sysds.api.mlcontext

# Enum Class MLContext.ExecutionType

java.lang.Object
java.lang.Enum<MLContext.ExecutionType>
org.apache.sysds.api.mlcontext.MLContext.ExecutionType

All Implemented Interfaces:
  `Serializable`, `Comparable<MLContext.ExecutionType>`, `Constable`

Enclosing class:
  MLContext

public static enum MLContext.ExecutionType extends Enum<MLContext.ExecutionType>
The different types of execution environments supported by SystemDS. The default execution type is `DRIVER_AND_SPARK`. `DRIVER` refers to all operations occurring in the local driver JVM. `SPARK` refers to all operations occurring on Spark. `HADOOP` refers to all operations occurring on Hadoop. `DRIVER_AND_SPARK` refers to operations occurring in the local driver JVM and on Spark when appropriate. `DRIVER_AND_HADOOP` refers to operations occurring in the local driver JVM and on Hadoop when appropriate.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DRIVER`
`DRIVER_AND_HADOOP`
`DRIVER_AND_SPARK`
`HADOOP`
`SPARK`

## Method Summary

Modifier and Type
Method
Description
`Types.ExecMode`
`getExecMode()`
`static MLContext.ExecutionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MLContext.ExecutionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DRIVER

public static final MLContext.ExecutionType DRIVER

### SPARK

public static final MLContext.ExecutionType SPARK

### HADOOP

public static final MLContext.ExecutionType HADOOP

### DRIVER_AND_SPARK

public static final MLContext.ExecutionType DRIVER_AND_SPARK

### DRIVER_AND_HADOOP

public static final MLContext.ExecutionType DRIVER_AND_HADOOP

## Method Details

### values

public static MLContext.ExecutionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MLContext.ExecutionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getExecMode

public Types.ExecMode getExecMode()